Get one integration
curl --request GET \
--url https://api.chift.eu/integrations/{integrationid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/integrations/{integrationid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/integrations/{integrationid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/integrations/{integrationid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/integrations/{integrationid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/integrations/{integrationid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/integrations/{integrationid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"integrationid": 123,
"name": "<string>",
"status": "active",
"api": "Point of Sale",
"logo_url": "<string>",
"icon_url": "<string>",
"description": "<string>",
"post_connections": [],
"operations_coverage": [],
"credentials": [],
"supported_countries": "BE",
"local_agent": false
}{
"message": "The integration does not exist",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Integrations
Get one integration
Returns the specified integration (active or inactive) available for your account
GET
/
integrations
/
{integrationid}
Get one integration
curl --request GET \
--url https://api.chift.eu/integrations/{integrationid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/integrations/{integrationid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/integrations/{integrationid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/integrations/{integrationid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/integrations/{integrationid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/integrations/{integrationid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/integrations/{integrationid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"integrationid": 123,
"name": "<string>",
"status": "active",
"api": "Point of Sale",
"logo_url": "<string>",
"icon_url": "<string>",
"description": "<string>",
"post_connections": [],
"operations_coverage": [],
"credentials": [],
"supported_countries": "BE",
"local_agent": false
}{
"message": "The integration does not exist",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
This access token needs to be included in each of your request to the Chift API.
Path Parameters
Query Parameters
Available options:
true, false Response
Successful Response
Available options:
active, inactive Available options:
Point of Sale, eCommerce, Accounting, Invoicing, Communication, Banking, Custom, Payment, Property Management System, Spend Management List of post-connections that can be activated for this integration.
Show child attributes
Show child attributes
List of operations coverage for this integration.
Show child attributes
Show child attributes
List of credentials that must be specified to create a connection. Can be used if you want to pass credentials on connection creation. Not compatible with oAuth2 routes.
Show child attributes
Show child attributes
Country codes (ISO 3166-1 alpha-2) where this integration is supported. If not defined, the integration is supported globally.
Example:
"BE"
This field indicate if the integration is a local agent.